			.include	x24x_app.h
			.global		_inittimer
	 	
NEW1		.set		9000h
OLD1		.set		9001h


NEW2		.set		9010h
OLD2		.set		9011h 

			.text 
			
_inittimer	SETC		INTM

			LDP			#(SCSR1>>7) 	; activation des horloges
			SPLK		#001Ch,SCSR1
			LDP			#(MCRA>>7)      ; config multiplexage des I/O
	        SPLK		#03D8h,MCRA
	        SPLK		#0180h,MCRC
	        
	        
; config des PWM
			LDP			#(ACTRA>>7)
			SPLK		#0,GPTCONA
			SPLK		#0066h,ACTRA
			SPLK		#0F68h,DBTCONA
			SPLK		#8600h,COMCONA
			SPLK		#0,T1CNT
			SPLK		#1044h,T1CON
			SPLK		#2048,T1PR
            SPLK		#1024,CMPR1	 
			SPLK		#1024,CMPR2
  
		
; config des QEP			
			LDP			#(CAPCONA>>7)
			SPLK		#0,CAPCONA      ; config du registre CAPCONA
			SPLK		#8000h,CAPCONA
			LDP			#(T2CNT>>7)
			SPLK		#0,T2CNT        ; init du compteur assicie aux entrees QEP1 et 2
			SPLK		#0D874h,T2CON   ; config du timer 2
			SPLK		#0FFFFh,T2PR    
			LDP			#(CAPCONB>>7)
			SPLK		#0,CAPCONB      ; config du registre CAPCONB
			SPLK		#8000h,CAPCONB
			SPLK		#0,T4CNT		; init du compteur assicie aux entrees QEP3 et 4
			SPLK		#0D874h,T4CON   ; config du timer 4
			SPLK		#0FFFFh,T4PR
			
; config INTERRUPT Te			
			LDP			#0
			SPLK		#0FFFFh,IFR  	; efface toutes interruptions
			SPLK		#2h,IMR			; active l'INT2 
			LDP			#(T3CNT>>7)
			SPLK		#0,T3CNT        
			SPLK		#0D340h,T3CON
			SPLK		#36863,T3PR
			SPLK		#0h,GPTCONB
			SPLK		#0FFFFh,EVBIFRA		
			SPLK		#0FFFFh,EVBIFRB		
			SPLK		#0FFFFh,EVBIFRC		
			SPLK		#0FFFFh,EVAIFRA		
			SPLK		#0FFFFh,EVAIFRB		
			SPLK		#0FFFFh,EVAIFRC		    
			SPLK		#0,EVAIMRA		
			SPLK		#0,EVAIMRB		
			SPLK		#0,EVAIMRC		
			SPLK		#80h,EVBIMRA		
			SPLK		#0,EVBIMRB		
			SPLK		#0,EVBIMRC
			
;			LAR			AR1,#table		
;			LAR			AR0,#(table+200)
;			MAR			*,AR1
;BOUCLE		SPLK		#40,*+
;			CMPR		3
;			BCND		BOUCLE,TC
;			LAR			AR1,#table
			
;			LDP			#(OLD1>>7)	; initialisation des variables de sauvegarde de la position du compteur
;			SPLK		#0,OLD1
;			LDP			#(OLD2>>7)
;			SPLK		#0,OLD2    
			CLRC		INTM
			RET
                            
                            
                
   
               .end